net.sf.jasperreports.export.parameters

## Class ParametersWriterExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput
  - - net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput

- All Implemented Interfaces:
    ExporterOutput, WriterExporterOutput
  Direct Known Subclasses:
    ParametersHtmlExporterOutput, ParametersXmlExporterOutput

  Deprecated.
  To be removed.

      public class ParametersWriterExporterOutput
      extends AbstractParametersExporterOutput
      implements WriterExporterOutput

  Version:
    $Id: ParametersWriterExporterOutput.java 7060 2014-04-28 15:07:56Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `encoding` Deprecated.

    - ### Fields inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `parameters`

    - ### Fields inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `PROPERTY_CHARACTER_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersWriterExporterOutput(JasperReportsContext jasperReportsContext, java.util.Map<JRExporterParameter,java.lang.Object> parameters, JasperPrint jasperPrint)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `java.lang.String` | `getEncoding()` Deprecated.
    `java.io.Writer` | `getWriter()` Deprecated.
    `protected void` | `setEncoding()` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `getParameterResolver, getPropertiesUtil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### encoding

          protected java.lang.String encoding

      Deprecated.

  - ### Constructor Detail

    - #### ParametersWriterExporterOutput

          public ParametersWriterExporterOutput(JasperReportsContext jasperReportsContext,
                                        java.util.Map<JRExporterParameter,java.lang.Object> parameters,
                                        JasperPrint jasperPrint)

      Deprecated.

  - ### Method Detail

    - #### setEncoding

          protected void setEncoding()

      Deprecated.

    - #### getEncoding

          public java.lang.String getEncoding()

      Deprecated.
      Specified by:
        `getEncoding` in interface `WriterExporterOutput`
      See Also:
        `WriterExporterOutput.PROPERTY_CHARACTER_ENCODING`

    - #### getWriter

          public java.io.Writer getWriter()

      Deprecated.
      Specified by:
        `getWriter` in interface `WriterExporterOutput`

    - #### close

          public void close()

      Deprecated.
      Specified by:
        `close` in interface `WriterExporterOutput`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com